Bug 225853 - Merge Review: gpart
Merge Review: gpart
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:57 EST by Nobody's working on this, feel free to take it
Modified: 2007-12-02 09:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-02 09:49:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:57:24 EST
Fedora Merge Review: gpart

http://cvs.fedora.redhat.com/viewcvs/devel/gpart/
Initial Owner: dcantrell@redhat.com
Comment 1 Brian Pepple 2007-02-03 16:55:35 EST
Good:
* Source URL is canonical
* Group Tag is from the official list
* Package builds in Mock.

Need to be Fixed:
* rpmlint error:
 W: gpart-debuginfo no-url-tag
 Need to add URL: http://www.stud.uni-hannover.de/user/76201/gpart/


Minor:
* Doesn't use preferred buildroot:
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* Drop the '.' from the summary to quite rpmlint.
* Should use path macro. %{_bindir}/gpart
Comment 2 David Cantrell 2007-02-03 22:07:27 EST
(In reply to comment #1)
> Need to be Fixed:
> * rpmlint error:
>  W: gpart-debuginfo no-url-tag
>  Need to add URL: http://www.stud.uni-hannover.de/user/76201/gpart/

Done.

> Minor:
> * Doesn't use preferred buildroot:
> %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Done.

> * Drop the '.' from the summary to quite rpmlint.

Done.

> * Should use path macro. %{_bindir}/gpart

I changed it to use %makeinstall instead.

Also noticed the debuginfo package didn't actually contain anything.  The
src/Makefile was installing the gpart binary stripped, so there was nothing to
pack in to debuginfo form.  Fixed that.
Comment 3 David Cantrell 2007-07-20 13:19:13 EDT
Is this package review done?
Comment 4 Brian Pepple 2007-12-01 18:33:32 EST
(In reply to comment #3)
> Is this package review done?

Pretty much.  The only thing that should probably still be changed is that in
the %file section you should use '%{_bindir}/gpart', instead of '/usr/bin/gpart'.

I'll go ahead and approve this.
Comment 5 David Cantrell 2007-12-02 01:55:32 EST
Made that change.  Can the bug be closed now?
Comment 6 Brian Pepple 2007-12-02 09:49:51 EST
Yup.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.